#
# spec file for package plotutils (Version 2.4.1)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs expat file filesystem fillup findutils flex fontconfig fontconfig-devel gawk gcc gcc-c++ gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11 xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           plotutils
BuildRequires:  gcc-c++ xorg-x11 xorg-x11-devel
License:        GPL
Group:          Productivity/Graphics/Visualization/Graph
Autoreqprov:    on
PreReq:         %install_info_prereq %suseconfig_fonts_prereq
Obsoletes:      plotutil
Provides:       plotutil
Version:        2.4.1
Release:        591.2
Summary:        The GNU Plotting Utilities
Source0:        plotutils-2.4.1.tar.bz2
Patch:          plotutils-2.4.1.dif
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The GNU plotting utilities consist of seven command line programs: the
graphics programs `graph', `plot', `tek2plot', and `plotfont', and the
mathematical programs `spline', `ode', and `double'.  GNU `libplot' is
distributed with these programs; it is the library on which the
graphics programs are based. `Libplot' is a function library for
device-independent two-dimensional vector graphics, including vector
graphics animations under the X Window System.



Authors:
--------
    Rich Murphey <rich@freebsd.org>
    Robert Maier <rsm@math.arizona.edu>
    Edward Moy <moy@parc.xerox.com>
    Nick Tufillaro <nbt@reed.edu>

%debug_package
%prep
%setup -n plotutils-2.4.1
%patch

%build
  %{?suse_update_config:%{suse_update_config -f}}
  libtoolize --copy --force
  aclocal
  autoconf
  X11LIB=/usr/X11R6/%{_lib}
  CC="gcc"
  CFLAGS="${RPM_OPT_FLAGS} -pipe"
  CXX="g++"
  CXXFLAGS="$CFLAGS"
  CPPFLAGS="-I/usr/X11R6/include"
  LDFLAGS="-L${X11LIB}"
  export CC CXX CFLAGS CXXFLAGS CPPFLAGS LDFLAGS
  ./configure %{_target_platform}  \
	--prefix=/usr \
	--libexecdir=%{_libdir} \
	--libdir=%{_libdir} \
	--with-gcc \
	--with-gnu-ld \
	--enable-libplotter \
	--enable-libxmi \
	--mandir=%{_mandir} \
	--infodir=%{_infodir} \
	--with-x --x-includes=/usr/X11R6/include --x-libraries=${X11LIB}
  make CC=$CC CXX="$CXX" \
       CFLAGS="$CFLAGS" CXXFLAGS="$CXXFLAGS" CPPFLAGS="$CPPFLAGS" LDFLAGS="$LDFLAGS"

%install
  make install DESTDIR=${RPM_BUILD_ROOT}
  chmod 755 ${RPM_BUILD_ROOT}%{_libdir}/libplot.so.*
  #
  rm -rf ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  mkdir -p ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil
  install -m 0444 AUTHORS       ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  install -m 0444 COMPAT        ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  install -m 0444 COPYING       ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  install -m 0444 INSTALL.fonts ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  install -m 0444 KNOWN_BUGS    ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  install -m 0444 PROBLEMS      ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  install -m 0444 README        ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  install -m 0444 THANKS        ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  install -m 0444 TODO          ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  mv ${RPM_BUILD_ROOT}/usr/share/libplot         ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  mv ${RPM_BUILD_ROOT}/usr/share/ode             ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  mv ${RPM_BUILD_ROOT}/usr/share/pic2plot        ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  mv ${RPM_BUILD_ROOT}/usr/share/tek2plot        ${RPM_BUILD_ROOT}%{_defaultdocdir}/plotutil/
  case "${RPM_OPT_FLAGS}" in
  *-g*) ;;
  *)
	strip ${RPM_BUILD_ROOT}/usr/bin/double
	strip ${RPM_BUILD_ROOT}/usr/bin/graph
	strip ${RPM_BUILD_ROOT}/usr/bin/ode
	strip ${RPM_BUILD_ROOT}/usr/bin/pic2plot
	strip ${RPM_BUILD_ROOT}/usr/bin/plot
	strip ${RPM_BUILD_ROOT}/usr/bin/plotfont
	strip ${RPM_BUILD_ROOT}/usr/bin/spline
	strip ${RPM_BUILD_ROOT}/usr/bin/tek2plot
  esac
  #
  mkdir -p ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/misc
  install -m 0444 fonts/pcf/*.pcf ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/misc/
  gzip -9f ${RPM_BUILD_ROOT}/usr/X11R6/lib/X11/fonts/misc/*.pcf
  #
  install -m 0444 manpage.1 ${RPM_BUILD_ROOT}%{_mandir}/man1/plotutils.1
  gzip -9f ${RPM_BUILD_ROOT}%{_mandir}/man1/plotutils.1
  ln -sf plotutils.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/double.1.gz
  ln -sf plotutils.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/graph.1.gz
  ln -sf plotutils.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/ode.1.gz
  ln -sf plotutils.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/pic2plot.1.gz
  ln -sf plotutils.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/plot.1.gz
  ln -sf plotutils.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/plotfont.1.gz
  ln -sf plotutils.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/spline.1.gz
  ln -sf plotutils.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1/tek2plot.1.gz
  #

%post
%run_ldconfig
%install_info --info-dir=%{_infodir} %{_infodir}/plotutils.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/libxmi.info.gz
%run_suseconfig_fonts

%postun
%run_ldconfig
%install_info_delete --info-dir=%{_infodir} %{_infodir}/plotutils.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/libxmi.info.gz
%run_suseconfig_fonts

%files
%defattr(-,root,root)
/usr/bin/double
/usr/bin/graph
/usr/bin/ode
/usr/bin/pic2plot
/usr/bin/plot
/usr/bin/plotfont
/usr/bin/spline
/usr/bin/tek2plot
%doc %{_defaultdocdir}/plotutil/
/usr/include/plot.h
/usr/include/plotcompat.h
/usr/include/plotter.h
/usr/include/xmi.h
%doc %{_infodir}/plotutils.info.gz
%doc %{_infodir}/libxmi.info.gz
%{_libdir}/libplot.so.2.2.1
%{_libdir}/libplot.so.2
%{_libdir}/libplot.so
%{_libdir}/libplot.la
%{_libdir}/libplot.a
%{_libdir}/libxmi.so.0.1.2
%{_libdir}/libxmi.so.0
%{_libdir}/libxmi.so
%{_libdir}/libxmi.la
%{_libdir}/libxmi.a
%{_libdir}/libplotter.so.2.2.0
%{_libdir}/libplotter.so.2
%{_libdir}/libplotter.so
%{_libdir}/libplotter.la
%{_libdir}/libplotter.a
%doc %{_mandir}/man1/plotutils.1.gz
%doc %{_mandir}/man1/double.1.gz
%doc %{_mandir}/man1/graph.1.gz
%doc %{_mandir}/man1/ode.1.gz
%doc %{_mandir}/man1/pic2plot.1.gz
%doc %{_mandir}/man1/plot.1.gz
%doc %{_mandir}/man1/plotfont.1.gz
%doc %{_mandir}/man1/spline.1.gz
%doc %{_mandir}/man1/tek2plot.1.gz
/usr/X11R6/lib/X11/fonts/misc/tekfont0.pcf.gz
/usr/X11R6/lib/X11/fonts/misc/tekfont1.pcf.gz
/usr/X11R6/lib/X11/fonts/misc/tekfont2.pcf.gz
/usr/X11R6/lib/X11/fonts/misc/tekfont3.pcf.gz

%changelog -n plotutils
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Dec 03 2004 - mfabian@suse.de
- use new macro "%%run_suseconfig_fonts".
* Wed Dec 01 2004 - werner@suse.de
- Do not be fooled by missing SuSEconfig module on non X11 systems
* Fri Mar 19 2004 - mfabian@suse.de
- use %%suseconfig_fonts_prereq
- run SuSEconfig.fonts and SuSEconfig.pango in %%post and %%postun
* Sun Jan 11 2004 - adrian@suse.de
- build as user
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Fri Feb 28 2003 - werner@suse.de
- Fix bug #23452: use intall-info for info file
* Fri Nov 22 2002 - olh@suse.de
- obsoletes/provides plotutil (#21848)
* Tue Sep 17 2002 - ro@suse.de
- removed bogus self-provides
* Tue Jun 18 2002 - meissner@suse.de
- rerun auto* tools.
* Fri May 03 2002 - werner@suse.de
- Set correct X11 library path
- Automagic update of config.guess and config.sub
* Mon Dec 17 2001 - werner@suse.de
- Update to 2.4.1
- Use BuildRoot
- Rename package from plotutil to plotutils
* Tue Jun 26 2001 - schwab@suse.de
- Fix for gcc 3.0.
* Tue May 08 2001 - mfabian@suse.de
- bzip2 sources
* Wed May 31 2000 - werner@suse.de
- Use %%{_defaultdocdir}
* Wed Mar 08 2000 - bs@suse.de
- no ldconfig in %%post please.
* Fri Feb 11 2000 - werner@suse.de
- Fix call of ldconfig, only if called in real root file system
* Thu Jan 20 2000 - ro@suse.de
- update to 2.3 to make it build
- info,man: use macros to move to /usr/share
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Mon Apr 05 1999 - bs@suse.de
- fixed date strings in .changes.
* Fri Mar 26 1999 - werner@suse.de
- Update to version 2.2
* Wed Mar 03 1999 - werner@suse.de
- New package, version 2.1.6
